
#import <Cocoa/Cocoa.h>

 
/** A frame in the python stack transformed into
** data  that can be rendered in the cocoa interface.
** Generated by the PythonDebugger
** @sa DbgStackVariable PythonServer
*/
@interface DbgStackFrame : NSObject <NSCopying>
{
	@public
	
	NSString *				fileName;				///<filename of the code being executed
	NSString *				moduleName;				///<module name of the code being executed
	NSString *				funcName;
	NSString *				lineNumber;
	NSMutableArray *		globalVariables;		///< array of DebugStackVariables.
	NSMutableArray *		localVariables;			///< array of DebugStackVariables.
	
	NSString *	funcSignature;		//the string displayed to the user

}

- (id) initWithFileName:(NSString *)fileName 
			 moduleName:(NSString *)imoduleName
			   funcName:(NSString *)funcName 
			 lineNumber:(int)lineNo;

- (void) addLocalVariable:(NSString *)name withValue:(NSString *)value;
- (void) addGlobalVariable:(NSString *)name withValue:(NSString *)value;


- (id)replacementObjectForPortCoder:(NSPortCoder *)encoder;

@end
